#include <bits/stdc++.h>

using namespace std;

#define MAXN 100010

long long n;
long long niz1[MAXN];
long long niz2[MAXN];
long long niz3[MAXN];
long long poj[MAXN];

int main()
{
    cin>>n;
    for (long long i=1;i<=n;i++) cin>>niz1[i];
    for (long long i=1;i<=n;i++) poj[niz1[i]]++;
    for (long long i=1;i<=n;i++) cin>>niz2[i];
    for (long long i=1;i<=n;i++) cin>>niz3[i];
    long long br=0;
    for (long long i=1;i<=n;i++)
    {
        long long x=niz2[niz3[i]];
        br+=poj[x];
    }
    cout<<br<<endl;
}